Here's a new one for you guys: I corrupted cIOS249 + can't...

Discussion in 'Wii - Hacking' started by Zeldafanzero, Mar 10, 2010.

  1. Zeldafanzero
    OP

    Newcomer Zeldafanzero Advanced Member

    Joined:
    Nov 12, 2008
    Messages:
    61
    Country:
    United Kingdom
    ...uninstall! [​IMG]

    I was being impatient as I don't have the internet at home, and when I was installing REV19 I was missing one of the wad files (IOS38-64-v3867.wad) to use as a base, but I had a wad file called IOS38-64-v2978.wad or something on my computer, so used that instead (note the different number after the "v") and just changed the name. It was stupid, but I thought it probably wouldn't make any difference.

    Unfortunately it did. It said everything installed ok, but then it crashed. Everything seems to work normally, except when I load up the DVD backup loaders, I just get a black screen, and everytime I try to install a new cIOS249 (using all the different installers, even a really old WiiGator thing from when they first got backups working) it crashes whenever I get to a screen that mentions cIOS249. This even happens with the cIOS REV19 installer thing.

    I tried to use AnyTitleDeleter to remove the "IOS249" file, but it won't for some reason and just says "error".

    Btw, the only problem is that my backups won't load now. Everything else seems to work fine.

    Thanks in advance!
     
  2. linuxares

    Member linuxares GBAtemp Maniac

    Joined:
    Aug 5, 2007
    Messages:
    1,387
    Country:
    Sweden
    Is your wii connected to your internet? Use Network install on cIOSX installer and it will download the needed .wad files itself.
     
  3. Zeldafanzero
    OP

    Newcomer Zeldafanzero Advanced Member

    Joined:
    Nov 12, 2008
    Messages:
    61
    Country:
    United Kingdom
    Thanks, but I'm not connected to the Internet, and even if it was I think it crashes when I choose "cIOS 249" to install over. :/
     
  4. T-Error

    Newcomer T-Error Advanced Member

    Joined:
    Oct 23, 2008
    Messages:
    88
    Country:
    Germany
    Install it using IOS36 instead of IOS249. Kind of pointless trying to install with a corrupted IOS isn't it?
    The first selection screen is not the slot the IOS is installed to it is the IOS which the installer uses.
     
  5. pepxl

    Member pepxl GFX W!Z4RD

    Joined:
    Jun 19, 2009
    Messages:
    3,263
    Country:
    United Kingdom
    use Any Title Deleter DB and delete IOS249 and 250 and try the cIOS installer again all should be fine
     
  6. T-Error

    Newcomer T-Error Advanced Member

    Joined:
    Oct 23, 2008
    Messages:
    88
    Country:
    Germany
    Even if the cIOS is corrupted it should install fine. So I think this isn't the solution but wouldn't do any harm either.
     
  7. pepxl

    Member pepxl GFX W!Z4RD

    Joined:
    Jun 19, 2009
    Messages:
    3,263
    Country:
    United Kingdom
    well not really its advisable to use ATD to delete any bad cIOS before using a cIOS installer because when the installer tries to overwrite the corrupt cIOS problem can occur just like having a DSI, also you wouldn't use a cIOS installer without removing the stub first so the same principal applies
     
  8. T-Error

    Newcomer T-Error Advanced Member

    Joined:
    Oct 23, 2008
    Messages:
    88
    Country:
    Germany
    IMAO it is an installer and not a patcher so it should just overwrite it fine because it does use the wad from SD or internet.
    And overwriting the Ninty-stub worked fine for me.
    BTW I never used ATD and never had any issues with the installer or any need for ATD.
    N00b + ATD = Brick! We've seen that situation too often.
    And Im not calling anybody a N00b!
     
  9. Zeldafanzero
    OP

    Newcomer Zeldafanzero Advanced Member

    Joined:
    Nov 12, 2008
    Messages:
    61
    Country:
    United Kingdom
    Thanks. I tried installing the new cIOS Rev19 again, using cIOS 38 and cIOS 60, but it still seems corrupted.

    At the end it displays:

    [+] Installing Custom IOS, please wait...
    >> Install ERROR! (ret = -2011)


    And from here all backup loaders just crash on boot.

    I've tried deleting the corrupt cIOS using AnyTitle Deleter MOD (v6) by Red Squirrel, but that won't delete cIOS249 and cIOS250 for some reason.

    On startup says:

    ===
    Wiping off fingerprints...
    - Deleting ticket file /ticket/00000001/00000000.tik
    Ticket delete failed (No ticket?) -102
    - Deleting title file /title/00000001/00000000...
    Error! ISFS_Delete(ret = -102)

    Checking system region...

    Pulling Sysmenu TMD...Error! ISFS_Open (ret = -102)
    Reading TMD failed!
    Error! ES_OpenContent (ret = -1017)

    Region detection failure! 0
    Conf region: 2
    ===

    After choosing IOS249 it says:

    ===
    - Deleting ticket file /ticket/00000001/000000f9.tik
    Ticket delete failed (No ticket?) -102
    - Deleting title file /title/00000001/000000f9...
    Error! ISFS_Delete(ret = -102)
    Press any key...
    ===

    Any ideas? Thanks again.
     
  10. Slimmmmmm

    Member Slimmmmmm GBAtemp MoNkEeE

    Joined:
    Nov 1, 2007
    Messages:
    1,687
    Location:
    the land of lol
    Country:
    United Kingdom
    Get something like dop mii, restore the bug to ios 36, then use ios36 to delete 249 and 250, then reinstall your cios. I think your problem is ATD might be trying to use 249.

    I'm sure (100%) someone WILL know the answer so don't do anything rash. I'm not sure which IOS ATD uses, but iirc it's 249, if I'm right then this is why it's failing.



    **EDIT**
    Ok I read that ATD mod 6b lets you choose which IOS to use. So use either IOS36 v1042 or IOS202. Don't choose 249 or 250 or your trying to use the corrupt IOS.


    btw, thanks for doing your experiment some people (myself included) wondered about this before [​IMG]
     
  11. FenrirWolf

    Member FenrirWolf GBAtemp Psycho!

    Joined:
    Nov 19, 2008
    Messages:
    4,343
    Location:
    Beaverton, OR
    Country:
    United States
    Yeah, of course you're going to have trouble using ATD if you're selecting the corrupted IOS249 to do it. I mean seriously.

    So use another IOS as others have advised.
     
  12. Zeldafanzero
    OP

    Newcomer Zeldafanzero Advanced Member

    Joined:
    Nov 12, 2008
    Messages:
    61
    Country:
    United Kingdom
    Thanks. I've been trying to use IOS60 to remove it with AnyTitleDeleter, but it's still not making a difference.
     
  13. Slimmmmmm

    Member Slimmmmmm GBAtemp MoNkEeE

    Joined:
    Nov 1, 2007
    Messages:
    1,687
    Location:
    the land of lol
    Country:
    United Kingdom
    IOS 60 probably wont work (unless it's patched which I doubt), re-read this thread and follow the advise given.
     
  14. nabster92

    Member nabster92 GBAtemp Advanced Maniac

    Joined:
    Apr 16, 2009
    Messages:
    1,631
    Country:
    United States
    Use an IOS with the trucha bug that isn't corrupted. You probably don't even need ATD at all if you would just use an IOS with the trucha bug in the cIOS installer to begin with.

    As someone else said. Use the Trucha Bug Restorer or Dop IOS or whatever new app you wanna use to patch the trucha bug back into IOS36, and then USE IOS36 when the cIOS installer prompts you for which IOS to USE to INSTALL itself. (NOT IOS36 for which IOS it uses as a BASE).
     
  15. Slimmmmmm

    Member Slimmmmmm GBAtemp MoNkEeE

    Joined:
    Nov 1, 2007
    Messages:
    1,687
    Location:
    the land of lol
    Country:
    United Kingdom
    @ the OP

    Just a suggestion, if you keep doing different things than people are advising you you might make the situation worse. You've had a couple of sound suggestions that most here will agree it will fix your problem, but imo most will agree if you keep doing things not advised you may well make things a lot worse, plus you'll waste your time. It should only take you about 20 minutes to fix this btw.

    hope you just follow the advise given and get it sorted soon.
     
  16. jammer88798

    Newcomer jammer88798 Newbie

    Joined:
    Nov 25, 2008
    Messages:
    2
    Country:
    United States
    can load into the HBC?

    if can, maybe u can try the "pimp my wii" app?
     
  17. XFlak

    Member XFlak Wiitired but still kicking

    Joined:
    Sep 12, 2009
    Messages:
    9,122
    Location:
    Ontario
    Country:
    Canada
    jammer, i know ur trying to help, but afaik pimp my wii doesn't handle cIOSs... besides, pimp my wii probably USES IOS249 to run... chances are he wouldn't be able to even start the app

    @ OP, when u r running the cios installer, when it first asks u to choose an IOS to use, what IOS are u selecting? You should NOT be selecting IOS249 here as it corrupted and u cant use that to reinstall IOS249 (I always use IOS36, as even if IOS249 isn't corrupted, I prefer not using the cIOS I'm overwriting to overwrite it... i think it works, but it just seems weird to me)

    If this doesn't work, do what has already been suggested (use ATD Mod, select IOS36, ignore any errors u get while 'informing the wii that i'm god", then delete IOS249 and 250. Then reinstall the cIOS as described above).

    If your IOS36 is not patched all the above steps will fail and u will first need to run the fakesign restorer (use dop-mii) to patch IOS36, then repeat the above steps. (Again, u only have to do that if your IOS36 isn't patched)
     
  18. Zeldafanzero
    OP

    Newcomer Zeldafanzero Advanced Member

    Joined:
    Nov 12, 2008
    Messages:
    61
    Country:
    United Kingdom
    Thanks guys, I didn't realise that the patched IOS was needed to install cIOS249, and none of the ones I had were working.

    I managed to get it fixed, so thanks a lot to everyone who helped. I really appreciate it!!
     

Share This Page